[Solved] Ruby on Rails - DL is deprecated, please use Fiddle

  • 0
Ruby sürümünüzü 2.0.0'a yükselttiyseniz herhangi bir komutta karşınıza anında bu yazı çıkıyor olabilir. Biraz araştırdım, bu aslında hata değil, bir uyarı.

En temizi, bu uyarıyı gözardı etmek. Bilgisayarınızda (windows) aşağıdaki adrese gidip


C:\Ruby200\lib\ruby\2.0.0\dl.rb
dl.rb dosyasını Sublime, notepad++ gibi kullandığınız editörde açarak,

warn "DL is deprecated, please use Fiddle"
yazısının başına bir # koymanız ve yorum haline çevirerek karşınıza çıkmasını önlemeniz. Yani son halde şu şekilde olacak:

#warn "DL is deprecated, please use Fiddle"
Bu haliyle, gayet uyarısız ve sonuçta gıcık etmeyecek şekilde çalışıyor ;)

Öyle yani ^^